%AACMFCC Compute AAC transform-domain MFCC
%   C=AACMFCC(FILENAME) decodes the given AAC FILENAME and returns
%   the 13 transform-domain MFCC C.
%
%   C=AACMFCC(FILENAME,NUMCOEFS) sets the number of MFCC coefficients.
%   Minimum: 1, Maximum: 40, Default: 13.
%
%   C=AACMFCC(FILENAME,NUMCOEFS,CHANNEL) sets the channel:
%   0: left channel or mono (Default)
%   1: right channel
%
%   [C,W]=AACMFCC(...) returns also the window sequence
%
%   [C,W,WS]=AACMFCC(...) returns also the window shape
%
%   This function get the MDCT coefficients after TNS and DRC and before
%   the filterbank; and computes coefficients similar to the MFCC based on
%   the MDCT coefficients.
%
%   This function decodes MPEG-4 AAC LC only (mono or stereo).
%
%   This function is designed for signals sampled at 44.1 kHz.

%   Mex implementation in aacmfcc.c
