function out = aacmfccmean(filename,numcoefs,channel,skipbegin,skipend,framelen,winseq,winshape)

% Compute transform-domain MFCC
[c,wseq,wsha] = aacmfcc(filename,numcoefs,channel);

% Number of frames
numframes = floor((size(c,2)-skipbegin-skipend)/framelen);

%Init output
out = zeros(numcoefs*2,numframes);

%Compute Mean and Var
for n=1:numframes
    
    idx = (n-1)*framelen+skipbegin+1:(n-1)*framelen+skipbegin+framelen;
    
    frame_c = c(:,idx);
    frame_wseq = wseq(idx);
    frame_wsha = wsha(idx);
    
    frame_c = frame_c(:,ismember(frame_wseq,winseq)&ismember(frame_wsha,winshape));
    
    out(1:numcoefs,n) = mean(frame_c,2);
    out(numcoefs+1:2*numcoefs,n) = var(frame_c,0,2);
    
end
