%AACWRITE Write MPEG-4 AAC LC sound file.
%   AACWRITE(Y,FS,AACFILE,BITRATE) writes data Y to a MPEG-4 AAC LC
%   file specified by the file name AACFILE, with a sample rate
%   of FS Hz and a bitrate BITRATE bits per second (bps).
%   Mono data should be specified as a matrix with one column.
%   Stereo data should be specified as a matrix with two columns.
%   Amplitude values must be in the range [-1,+1].
%
%   AVG_BITRATE = AACWRITE(Y,FS,AACFILE,BITRATE) returns the real bitrate
%   averaged over all frames after encoding (in bps).
%  
%   This function uses FAAC with MPEG-4 AAC Low Complexity (LC)
%   profile and default parameters (the following tools are disabled: TNS, 
%   PNS, intensity stereo).
%
%   Supported sample rates: 32000,44100,48000,88200,96000 Hz.
%
%   Bitrate per channel must be in the range [8000,256000] bps.
%
%   See also AACREAD.

%Mex implementation in aacwrite.c