clear all
close all

disp(' ');
disp('Compute transform-domain detection function using aacdf.');
dfL = aacdf('dylan.m4a',0);
dfR = aacdf('dylan.m4a',1);

disp('Read MDCT coefficients using aacmdct.');
cL = aacmdct('dylan.m4a',0);
cR = aacmdct('dylan.m4a',1);

disp('Compute transform-domain detection function based on the MDCT coefs.');
cL = [zeros(1024,1) cL];
df2L = sum( sqrt( abs( cL(:,2:end).^2 - cL(:,1:end-1).^2 )))';
df2L = interp( df2L, 2);
df2L(df2L<0) = 0;
cR = [zeros(1024,1) cR];
df2R = sum( sqrt( abs( cR(:,2:end).^2 - cR(:,1:end-1).^2 )))';
df2R = interp( df2R, 2);
df2R(df2R<0) = 0;

eL = sum((dfL-df2L).^2);
eR = sum((dfR-df2R).^2);
disp(['Error between the two detection functions. Left: ' num2str(eL) ', Right: ' num2str(eR) '.']);
disp(' ');