clear all
close all

disp(' ');
disp('Input audio file: WAV, stereo, 2 seconds, 44.1 kHz.');
x = wavread('dylan.wav');
disp('Read corresponding aac file using aacread.');
disp('The aac file was encoded with nero -> delay = 1600 samples.');
y = aacread('dylan.m4a',1600);
y = y(1:length(x),:);
disp('Compute SNR for both channels:');
snrL = 10*log10(sum(x(:,1).^2)/sum((x(:,1)-y(:,1)).^2));
snrR = 10*log10(sum(x(:,2).^2)/sum((x(:,2)-y(:,2)).^2));
disp(['SNR (left channel): ' num2str(snrL)]);
disp(['SNR (right channel): ' num2str(snrR)]);
disp('Read MDCT coefficients and window sequences using aacmdct.');
[mdctL,winseqL,winshapeL] = aacmdct('dylan.m4a',0);
[mdctR,winseqR,winshapeR] = aacmdct('dylan.m4a',1);
disp('Synthetise the PCM signal using aacsynth.');
zL = aacsynth(mdctL,winseqL,winshapeL,1600);
zR = aacsynth(mdctR,winseqR,winshapeR,1600);
z = [zL zR];
z = z(1:length(x),:);
disp('Compute SNR between signal given by aacread and signal given by ');
disp('aacmdct+aacsynth for both channels:');
snrL = 10*log10(sum(y(:,1).^2)/sum((y(:,1)-z(:,1)).^2));
snrR = 10*log10(sum(y(:,2).^2)/sum((y(:,2)-z(:,2)).^2));
disp(['SNR (left channel): ' num2str(snrL)]);
disp(['SNR (right channel): ' num2str(snrR)]);
disp(' ');